%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name pyparsing
%global pypi_version 3.1.1

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Python parsing module

License:        MIT License
URL:            https://github.com/pyparsing/pyparsing/
Source0:        %{pypi_source}
Patch0:         0001-Add-setup.py.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst examples/0README.html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Feb 17 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.1.1-1.0.1
- Downgrade to 3.1.1

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 3.1.2-1.0.1
- Update to 3.1.2
- Rebuild with python 3.11
- Add setup.py

* Wed Jul 12 2023 Lans Hung <lans.hung@oracle.com> - 2.4.7-3.0.2
- Rebuild after moving source to new namespace

* Tue Jan 31 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 2.4.7-3.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 2.4.7-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 2.4.7-2
- Build against Python 3.8

* Tue Apr 14 2020 Evgeni Golov 2.4.7-1
- Update to 2.4.7

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.4.6-2
- Bump release to build for el8

* Mon Jan 06 2020 Evgeni Golov 2.4.6-1
- Update to 2.4.6

* Mon Nov 18 2019 Evgeni Golov - 2.4.5-1
- Initial package.
